/
PARTED(8)

NAME
GNU Parted - a partition manipulation program

SYNOPSIS
parted [options] [device [command [options...]...]]

DESCRIPTION
This manual page documents briefly the parted command. Complete documentation is distributed with the package in GNU Info format; see below.

parted is a disk partitioning and partition resizing program. It allows you to create, destroy, resize, move and copy ext2, ext3, linux-swap, FAT, FAT32, and reiserfs partitions. It can create, resize and move Macintosh HFS partitions, as well as detect jfs, ntfs, ufs, and xfs partitions. It is useful for creating space for new operating systems, reorganising disk usage, and copying data to new hard disks.

OPTIONS

-h, --help
    displays a help message.

-i, --interactive
    where necessary, prompts for user intervention.

-s, --script
    never prompts for user intervention.

-v, --version
    displays the version.

COMMANDS

[device]
    The block device to partition.

[command [options]]
    Specifies a command to parted. If no command is given, parted will give you a command prompt. Commands are:

    check partition
        does a simple check on partition.

    cp [source-device] source dest
        copies the source partition's filesystem on source-device (or the current device if no other device was specified) to the dest partition on the current device.

    help [command]
        prints general help, or help on command if specified.

    mkfs partition fs-type
        make a filesystem fs-type on partition. fs-type can be one of "fat16", "fat32", "ext2", "linux-swap" or "reiserfs".

    mklabel label-type
        Creates a new disklabel (partition table) of label-type. label-type should be one of "bsd", "dvh", "gpt", "loop", "mac", "msdos", "pc98" or "sun".

    mkpart part-type [fs-type] start end
        make a part-type partition with filesystem fs-type (if specified), beginning at start and ending at end (in megabytes). fs-type can be one of "fat16", "fat32", "ext2", "HFS", "linux-swap", "NTFS", "reiserfs" or "ufs". part-type should be one of "primary", "logical" or "extended"

    mkpartfs part-type fs-type start end
        make a part-type partition with filesystem fs-type beginning at start and ending at end (in megabytes)

    move partition start end
        move partition to start at start and end at end. Note: move never changes the minor number

    name partition name
        set the name of partition to name. This option works only on Mac and PC98 disklabels. The name can be placed in quotes, if necessary

    print
        displays the partition table

    quit
        exits parted

    resize partition start end
        resize the filesystem on partition to start at start and end at end megabytes

    rm partition
        deletes partition

    select device
        choose device as the current device to edit. device should usually be a Linux hard disk device, but it can be a partition, software raid device or a LVM logical volume if that is necessary

    set partition flag state
        change the state of the flag on partition to state. Flags supported are: "boot", "root", "swap", "hidden", "raid", "lvm", "lba" and "palo". state should be either "on" or "off"

REPORTING BUGS
Report bugs to <bug-parted@gnu.org>

SEE ALSO
fdisk(8), mkfs(8), The parted program is fully documented in the info(1) format GNU partitioning software manual.

AUTHOR
This manual page was written by Timshel Knoll <timshel@debian.org>, for the Debian GNU/Linux system (but may be used by others).